<?xml version="1.0" encoding="UTF-8"?>
<!-- This stylesheet converts an is:Inquiry into an HTML form.
      Note that this is just a simple example that does not render all required elements.
      Note the use of xsl:parameters to insert some session information, obviously other
      techniques can be used.
      Note for Hints this stylesheet adds a reference to a "showHint" script, but such script
      is not defined here.
      -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:is="urn:liberty:is:2006-08" exclude-result-prefixes="is">
    <xsl:output method="xml" version="4.0" encoding="UTF-8" omit-xml-declaration="yes" />
    <xsl:param name="jsessionid">null</xsl:param>
    <xsl:param name="messageID">null</xsl:param>
    <xsl:template match="/">
        <xsl:apply-templates select="//is:Inquiry" />
    </xsl:template>
    
    <xsl:template match="is:Inquiry">
        <html>
            <head>
                <title>
                    <xsl:value-of select="@title"/>
                </title>
            </head>
            <body>
                <h2>
                    <xsl:value-of select="@title"/>
                </h2>
                <xsl:element name="form">
                    <xsl:attribute name="method">get</xsl:attribute>
                    <xsl:attribute name="action">
                        submit;jsessionid=<xsl:value-of select="$jsessionid"/>
                    </xsl:attribute>
                        <xsl:element name="input">
                            <xsl:attribute name="type">hidden</xsl:attribute>
                            <xsl:attribute name="name">msg</xsl:attribute>
                            <xsl:attribute name="value"><xsl:value-of select="$messageID"/></xsl:attribute>
                        </xsl:element>
                    <xsl:apply-templates select="is:Confirm"/><br/>
                    <xsl:apply-templates select="is:Select"/><br/>
                    <br/>
                    <input type="submit" value="Submit"/>
                </xsl:element>
                <p>
                    <xsl:apply-templates select="is:Help"/>
                </p>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="is:Confirm">
        <xsl:value-of select="is:Label"/>
        <xsl:element name="label">
            <xsl:attribute name="for">isid-<xsl:value-of select="@name"/>-yes</xsl:attribute>
            Yes
        </xsl:element>            
        <xsl:element name="input">
            <xsl:attribute name="type">radio</xsl:attribute>
            <xsl:attribute name="checked"></xsl:attribute>
            <xsl:attribute name="name">is-confirm-yes-<xsl:value-of select="@name"/></xsl:attribute>
            <xsl:attribute name="id">isid-<xsl:value-of select="@name"/>-yes</xsl:attribute>
        </xsl:element>
        <xsl:element name="label">
            <xsl:attribute name="for">isid-<xsl:value-of select="@name"/>-no</xsl:attribute>
            No
        </xsl:element>            
        <xsl:element name="input">
            <xsl:attribute name="type">radio</xsl:attribute>
            <xsl:attribute name="name">is-confirm-no-<xsl:value-of select="@name"/></xsl:attribute>
            <xsl:attribute name="id">isid-<xsl:value-of select="@name"/>-no</xsl:attribute>
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="is:Select">
        <xsl:element name="label">
            <xsl:value-of select="is:Label"/>
            <xsl:attribute name="for">isid-<xsl:value-of select="@name"/></xsl:attribute>
        </xsl:element>            
        <xsl:element name="select">
            <xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
            <xsl:attribute name="id">isid-<xsl:value-of select="@name"/></xsl:attribute>
            <xsl:apply-templates select="is:Item"/>
        </xsl:element>
    </xsl:template>

    <xsl:template match="is:Item">
        <xsl:element name="option">
            <xsl:attribute name="label"><xsl:value-of select="@label"/></xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
            <xsl:value-of select="@label"/>
            <xsl:apply-templates select="is:Hint"/>
        </xsl:element>
    </xsl:template>
    <xsl:template match="is:Hint">
        <xsl:attribute name="onmouseover">showHint(<xsl:value-of select="."/>)</xsl:attribute>
    </xsl:template>
    <xsl:template match="is:Help">
        <p id="help"><b>Help</b><br/>
            <xsl:value-of select="."/>
            <xsl:element name="a">
                <xsl:attribute name="href">
                    <xsl:value-of select="@morelink"/>
                </xsl:attribute>
                More information
            </xsl:element>
        </p>
    </xsl:template>
</xsl:stylesheet>
