<?xml version="1.0" encoding="UTF-8"?>
<!-- This stylesheet converts an is:Inquiry into a WML deck.
     This is only an example stylesheet that does not render all required elements.
     In fact it only renders Confirm elements, and hence is barely sufficient to handle
     the example in the specification.
     Note the use of xsl:parameters to insert some session information, obviously other
     techniques can be used.

    The source code in this stylesheet file example was excerpted verbatim from:
      
    Liberty ID-WSF Interaction Service Specification
    Version 2.0-errata-v1.0
    21 April, 2007

Copyright (c) 2007 Liberty Alliance participants, see
http://projectliberty.org/resource_center/specifications/liberty_alliance_id_wsf_2_0_specifications/idwsf_feb_copyrights

-->

<!-- TODO: add a least support for Help elements. -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
        xmlns:is="urn:liberty:is:2006-08" exclude-result-prefixes="is">

    <xsl:output
        method="xml"
        version="1.0"
        encoding = "UTF-8"
        omit-xml-declaration="no"
        doctype-public="-//WAPFORUM//DTD WML 1.1//EN"
        doctype-system="http://www.wapforum.org/DTD/wml_1.1.xml"
        media-type="text/vnd.wap.wml" />

    <xsl:param name="jsessionid">null</xsl:param>
    <xsl:param name="messageID">null</xsl:param>
    <xsl:param name="card-index">1</xsl:param>
    
    <xsl:template match="/">
        <wml>
            <template>
            <do type="prev">
                <prev/>
            </do>
            </template>
            <xsl:apply-templates select="//is:Inquiry" />
        </wml>
    </xsl:template>
        
    <xsl:template match="is:Inquiry">
        <xsl:element name="card">
            <xsl:attribute name="id">inquiry-<xsl:value-of select="$card-index"/></xsl:attribute>
            <xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute>
            <xsl:apply-templates select="is:Confirm"/>
        </xsl:element>
    </xsl:template>

    <xsl:template match="is:Confirm">
        <p><xsl:value-of select="is:Label"/><br/>
        <anchor>
            <xsl:element name="go">
                <xsl:attribute name="href">
                    submit;jsessionid=<xsl:value-of select="$jsessionid"/>
                </xsl:attribute>
                <xsl:attribute name="method">get</xsl:attribute>
                <xsl:element name="postfield">
                    <xsl:attribute name="name">msg</xsl:attribute>
                    <xsl:attribute name="value">
                        <xsl:value-of select="$messageID"/>
                    </xsl:attribute>
                </xsl:element>
                <xsl:element name="postfield">
                    <xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
                    <xsl:attribute name="value">1</xsl:attribute>
                </xsl:element>
            </xsl:element>Yes</anchor><br/>
        <anchor>
            <xsl:element name="go">
                <xsl:attribute name="href">
                    submit;jsessionid=<xsl:value-of select="$jsessionid"/>
                </xsl:attribute>
                <xsl:attribute name="method">get</xsl:attribute>
                <xsl:element name="postfield">
                    <xsl:attribute name="name">msg</xsl:attribute>
                    <xsl:attribute name="value"><xsl:value-of select="$messageID"/></xsl:attribute>
                </xsl:element>
                <xsl:element name="postfield">
                    <xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
                    <xsl:attribute name="value">0</xsl:attribute>
                </xsl:element>
            </xsl:element>No</anchor><br/>
        </p>
    </xsl:template>            

</xsl:stylesheet>
